<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE  mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.engine.organization.mapper.codesetting.CodeRuleDetailMapper">

    <insert id="batchInsert">
        insert into hrm_coderuledetail (coderuleid, ruletype, rulevalue, showorder) values
        <foreach collection="codeRuleDetailPOs" item="CodeRuleDetailPO">
            (#{CodeRuleDetailPO.coderuleId},#{CodeRuleDetailPO.ruleType},#{CodeRuleDetailPO.ruleValue},#{CodeRuleDetailPO.showOrder})
        </foreach>
    </insert>


    <delete id="delete">
        delete
        from JCL_CODERULE_DETAIL
        where coderule_id = #{codeRuleId}
    </delete>
</mapper>